Subject: Re: bug#76566: [PATCH] Implement display-line-numbers-spacing-width

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 01:15:36 -0800

tags 76566 + notabug wontfix
close 76566
thanks

Miro Palmu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

>> And you cannot achieve that by customizing the line-number face to use
>> a font where the SPC character is thin enough for your taste?
>
> Did not think of this. Thanks.
>
>> In any case, disabling the spaces and controlling how many spaces are
>> there are not the same: the former is just a boolean flag, whereas the
>> latter is more complex, and the code will be slower.  This mode was
>> implemented in the display engine to solve the performance impact of
>> linum-mode, so I'm not very fond of adding hair to it and slowing it
>> down.  People who want fancy customization of the line numbers can
>> simply use linum-mode.
>
>
> Understandable.

Thanks, I'm therefore closing this bug report.